Subject: Re: [govpn-devel] Потери пакетов

From: Sergey Matveev <[email-masked]>
Date: Tue, 27 Mar 2018 13:08:30 +0300

Приветствую!

*** Eternal Sorrow [2018-03-27 10:31]:
>но по какой то причине при пинге через vpn-соединение присутствуют потери
>пакетов.

Да, действительно такое бывает. Я точно не знаю, но при высокой нагрузке
если пакеты какое-то время не успевают обрабатываться на прикладном
уровне, то они удаляются из буферов ОС и происходит потеря. Так как
GoVPN написан на Go, то задержки в обработке там ощутимые. И из-за
потерь например SSH копирование файлов не очень шустрое, хотя
какой-нибудь netperf покажет довольно высокие пропускные способности.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF